PORT-ARCHIVEFETCH(1)

NAME
port-archivefetch - Fetch archive for the given ports if available.

SYNOPSIS

port [-vdqypotf] [-D portdir] archivefetch
     [[portname | pseudo-portname | port-expressions | port-url]]
     [+/-variant ...]

DESCRIPTION

port archivefetch attempts to download a binary archive for the given port(s) from the configured binary sources, by default from packages.macports.org and its mirrors. An archive or port image is a tarball containing the files of a port and some metadata and can be used to install a port without building it from source. See the PORT IMAGES section for a description of the port image concept in MacPorts.

You can choose multiple variants, by specifying +name, which indicates the variant is desired, or -name, indicating the contrary.

Global variants will be applied as specified in variants.conf(5).

PORT IMAGES

MacPorts has the ability to install multiple versions or different variant selections of the same port. The files will be stored in an intermediate location as archives, which allows to switch between the versions. Only one version can be active at a time. On activation, files will be copied to their intended place in prefix.

More information on this topic can be found in the The MacPorts Guide[1].

To check the current status of a specific port, use port-installed(1).

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-p
    Proceed even if a port fails to fetch. This is useful if you are trying to download all available binary images for a number of ports, e.g., if you want to install them later without a network connection.

SEE ALSO

port(1), port-archive(1), port-variants(1), variants.conf(5)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>

EXTERNAL REFERENCES

1.  The MacPorts Guide
    https://guide.macports.org/#internals.images